IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CP_Contratos_Cli_Resumen]') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE [dbo].CP_Contratos_Cli_Resumen 
END
GO

CREATE  PROCEDURE dbo.CP_Contratos_Cli_Resumen
		 @Id_Cliente		INT	
		,@Flag_Agrupado		TINYINT    
AS
begin

IF ISNULL(@Id_Cliente,0) = 0
	RETURN
	
		
DECLARE	@Id_Cliente_Ref INT
SET @Id_Cliente_Ref =  @Id_Cliente

IF ISNULL(@Flag_Agrupado,0) <> 0
	SET @Id_Cliente_Ref = (SELECT Id_Cliente_Ref FROM Clientes WHERE Id_Cliente = @Id_Cliente)
END

IF ISNULL(@Id_Cliente_Ref,0) = 0
	SET @Id_Cliente_Ref =  @Id_Cliente



 select k.id_cliente as Id_Cliente
			,k.razon_social as Razon_Social
			,k.Id_Cliente_Externo as Id_Cliente_Externo
			,k.id_tipo_cli	as Id_Tipo_Cli
			,kt.Descripcion as Descripcion_Tipo_Cli
			,p.id_producto  as Id_Producto
			,a.descripcion_detallada as Descripcion_Prod
			,c.id_contrato 
			,c.descripcion
			,c.Id_Tipo_Con
			,t.Descripcion	as Descripcion_Cont
			,k.id_cliente_Ref
 INTO #CP_Contratos_Cli_Resumen
 from contratos_prod p, contratos c, productos a, clientes k , Contratos_Tipos t, clientes_tipos kt
 where c.Id_Contrato = p.Id_Contrato 
 and c.activo = 1 
 and a.id_producto = p.id_producto
 and c.id_cliente = k.id_cliente 
 and t.Id_Tipo_Con = C.Id_Tipo_Con
 and kt.Id_Tipo_Cli = k.Id_Tipo_Cli
 and c.Id_Cliente = @Id_Cliente_ref

 IF ISNULL(@Flag_Agrupado,0) <> 0
	INSERT INTO #CP_Contratos_Cli_Resumen
		 select k.id_cliente as Id_Cliente
				,k.razon_social as Razon_Social
				,k.Id_Cliente_Externo as Id_Cliente_Externo
				,k.id_tipo_cli	as Id_Tipo_Cli
				,kt.Descripcion as Descripcion_Tipo_Cli
				,p.id_producto  as Id_Producto
				,a.descripcion_detallada as Descripcion_Prod
				,c.id_contrato 
				,c.descripcion
				,c.Id_Tipo_Con
				,t.Descripcion	as Descripcion_Cont
				,k.id_cliente_Ref
			 from contratos_prod p, contratos c, productos a, clientes k , Contratos_Tipos t, clientes_tipos kt
			 where c.Id_Contrato = p.Id_Contrato 
			 and c.activo = 1 
			 and a.id_producto = p.id_producto
			 and c.id_cliente = k.id_cliente 
			 and t.Id_Tipo_Con = C.Id_Tipo_Con
			 and kt.Id_Tipo_Cli = k.Id_Tipo_Cli
			 and k.Id_Cliente_Ref = @Id_Cliente_ref

 select * from #CP_Contratos_Cli_Resumen
 DROP TABLE #CP_Contratos_Cli_Resumen
 
